import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter_zoom_drawer/flutter_zoom_drawer.dart';
import 'package:unit2/model/offline/offlane_modules.dart';
import 'package:unit2/screens/offline/homepage/menu_screen.dart';
import 'package:unit2/screens/offline/homepage/module_screen.dart';
import 'package:unit2/utils/global.dart';
import '../../../../bloc/user/user_bloc.dart';
import '../../../../widgets/splash_screen.dart';

class OfflineDrawerScreen extends StatefulWidget {
  const OfflineDrawerScreen({
    Key? key,
  }) : super(
          key: key,
        );
  @override
  State<OfflineDrawerScreen> createState() => _OfflineDrawerScreenState();
}

class _OfflineDrawerScreenState extends State<OfflineDrawerScreen> {
  final zoomDrawerController = ZoomDrawerController();
  @override
  @override
  Widget build(BuildContext context) {
    return ZoomDrawer(
      controller: zoomDrawerController,
      menuScreen: const OfflineMenuScreen(),
      mainScreen: SizedBox(
          height: MediaQuery.of(context).size.height,
          child: const OfflineModuleScreen()),
      style: DrawerStyle.defaultStyle,
      borderRadius: 24.0,
      showShadow: false,
      angle: -0.0,
      slideWidth: MediaQuery.of(context).size.width * .90,
      openCurve: Curves.fastOutSlowIn,
      closeCurve: Curves.easeOut,
      menuBackgroundColor: Colors.grey,
    );
  }
}
